%% beamerinnerthemeKIT.sty: LaTeX style for KIT presentations
%% ==========================================================
%% Author: Dr. Thomas Hertweck, Thomas.Hertweck@kit.edu
%% ==========================================================

\ProvidesPackage{beamerinnerthemeKIT}[2025/02/28 v2.0 beamer inner theme KIT]

%% setup itemize and enumerate environments
\setbeamertemplate{itemize item}{\usebeamercolor[fg]{itemize item}\usebeamerfont*{itemize item}\raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}}
\setbeamertemplate{itemize subitem}{\usebeamercolor[fg]{itemize subitem}\usebeamerfont*{itemize subitem}\textbf{--}}
\setbeamertemplate{itemize subsubitem}{\usebeamercolor[fg]{itemize subsubitem}\usebeamerfont*{itemize subsubitem}\raisebox{0.3ex}{\scalebox{0.6}{\Circsteel}}}

\setbeamertemplate{enumerate item}{\usebeamercolor[fg]{enumerate item}\usebeamerfont*{enumerate item}\@arabic\insertenumlabel.}
\setbeamertemplate{enumerate subitem}{\usebeamercolor[fg]{enumerate subitem}\usebeamerfont*{enumerate subitem}\@alph\insertsubenumlabel.}
\setbeamertemplate{enumerate subsubitem}{\usebeamercolor[fg]{enumerate subsubitem}\usebeamerfont*{enumerate subsubitem}\romannumeral\insertsubsubenumlabel.}

\defbeamertemplate*{verse begin}{KIT}{\beamercolorbox[rounded=true,shadow=true]{verse}}
\defbeamertemplate*{verse end}{KIT}{\endbeamercolorbox}

%% qed symbol
\setbeamertemplate{qed symbol}{\vrule width1ex height1ex depth0pt}

%% bibliography
\setbeamertemplate{bibliography item}{}

\setlength{\listparindent}{0pt}

\setlength\leftmargini{\kit@text@marginleft}
\setlength\leftmarginii{1.5em}
\setlength\leftmarginiii{1.8em}
\setlength\labelsep{0.5em}
\setlength\labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\def\@listi{\leftmargin\leftmargini \topsep 3\p@ \@plus2\p@ \@minus2.5\p@ \parsep 0\p@ \itemsep3\p@ \@plus2\p@ \@minus3\p@}%
\let\@listI\@listi%
\def\@listii{\leftmargin\leftmarginii \topsep 2\p@ \@plus1\p@ \@minus2\p@ \parsep 0\p@ \itemsep3\p@ \@plus2\p@ \@minus3\p@}%
\def\@listiii{\leftmargin\leftmarginiii \topsep 2\p@ \@plus1\p@ \@minus2\p@ \parsep 0\p@ \@plus\p@ \itemsep \parsep}%

%% table of contents
% disable subsubsections in toc
\defbeamertemplate*{subsubsection in toc}{KIT}{}
\defbeamertemplate*{section in toc}{KIT}{%
  \usebeamerfont{section in toc}\usebeamercolor*[fg]{section in toc}%
  \leavevmode%
  % prevents the period to be printed with the first/last section option
  \ifnum\beamer@tempcount>\beamer@toclastsection%
  \else%
  \ifnum\beamer@tempcount>0%
    %\ifkit@strict%
    \textcolor{KITwhite}{\inserttocsectionnumber.~}%
    %\else%
    %\textcolor{KITwhite}{\raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~}%
    %\fi%
  \fi\fi%
  \inserttocsection\par%
}
\defbeamertemplate*{section in toc shaded}{KIT}{%
  \usebeamerfont{section in toc}\usebeamercolor*[fg]{section in toc shaded}%
  \leavevmode%
  % prevents the period to be printed with the first/last section option
  \ifnum\beamer@tempcount>\beamer@toclastsection%
  \else%
  \ifnum\beamer@tempcount>0%
    %\ifkit@strict%
    {\inserttocsectionnumber.~}%
    %\else%
    %{\raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~}%
    %\fi%
  \fi\fi%
  \inserttocsection\par%
}
\defbeamertemplate*{subsection in toc}{KIT}{%
  \usebeamerfont{subsection in toc}\usebeamercolor*[fg]{subsection in toc}%
  \ifkit@strict%
  \leavevmode\leftskip=2.5em%
  \raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~\inserttocsubsection\par%
  \else%
  \leavevmode\leftskip=1.5em%
  %\textbf{--}~\inserttocsubsection\par%
  \raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~\inserttocsubsection\par%
  \fi%
}
\defbeamertemplate*{subsection in toc shaded}{KIT}{%
  \usebeamerfont{subsection in toc}\usebeamercolor*[fg]{subsection in toc shaded}%
  \ifkit@strict%
  \leavevmode\leftskip=2.5em%
  \raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~\inserttocsubsection\par%
  \else%
  \leavevmode\leftskip=1.5em%
  %\textbf{--}~\inserttocsubsection\par%
  \raisebox{0.3ex}{\scalebox{0.5}{\Squaresteel}}~\inserttocsubsection\par%
  \fi%
}
